#112正式版
server:
  port: 8848
  address: 0.0.0.0
  ssl:
    key-store: classpath:org.jue-ming.com.jks
    #key-store-password: zzr804oe997kw
    key-store-password: u6f081g67l8
    key-store-type: JKS
  tomcat:
    accept-count: 1000
    max-connections: 10000
    threads:
      min-spare: 100
      max: 1600

spring:
  datasource:
    driver-class-name: com.mysql.cj.jdbc.Driver
    url: jdbc:mysql://49.232.79.112:3306/psychological_admin2?useUnicode=true&characterEncoding=utf-8&allowMultiQueries=true&useSSL=false&serverTimezone=GMT%2B8

    #url: jdbc:mysql://localhost:54027/psychological_admin?useUnicode=true&characterEncoding=utf-8&allowMultiQueries=true&useSSL=false&serverTimezone=GMT%2B8
    username: root
    #112/44
    password: Mysql@.2020
    #username: root
    #password: QazMysql@1921.Wsx
    hikari:
      max-lifetime: 30000

  #redisson:
    #address: redis://49.232.79.112:6379
    #address: redis://49.232.26.44:6379
    #password: bjjmtech&jsyx
  data:
    redis:
      repositories:
        enabled: false
  redis:
    host: 49.232.79.112
    port: 6379
    password: bjjmtech&jsyx
    database: 0
    timeout: 5000
    jedis:
      pool:
        max-wait: -1
        max-idle: 8
        max-active: 8
        min-idle: 0
  # 小程序秘钥
  ASPI_SECRET: b4edc4638f9182a1684dffdf7a1fa4c0
  #小程序code2session
  ASPI_URL: https://api.weixin.qq.com/sns/jscode2session
  #小程序appid
  ASPI_APPID: wx2f422a2a1cb24c3c